GLFW 3.0.2 A multi-platform library for OpenGL, window and input

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

All Data Structures Files Functions Variables Typedefs Macros Groups Pages
Functions
Native access

## Functions
HWND | glfwGetWin32Window (GLFWwindow *window)
| Returns the `HWND` of the specified window. More...
HGLRC | glfwGetWGLContext (GLFWwindow *window)
| Returns the `HGLRC` of the specified window. More...
id | glfwGetCocoaWindow (GLFWwindow *window)
| Returns the `NSWindow` of the specified window. More...
id | glfwGetNSGLContext (GLFWwindow *window)
| Returns the `NSOpenGLContext` of the specified window. More...
Display * | glfwGetX11Display (void)
| Returns the `Display` used by GLFW. More...
Window | glfwGetX11Window (GLFWwindow *window)
| Returns the `Window` of the specified window. More...
GLXContext | glfwGetGLXContext (GLFWwindow *window)
| Returns the `GLXContext` of the specified window. More...
EGLDisplay | glfwGetEGLDisplay (void)
| Returns the `EGLDisplay` used by GLFW. More...
EGLContext | glfwGetEGLContext (GLFWwindow *window)
| Returns the `EGLContext` of the specified window. More...
EGLSurface | glfwGetEGLSurface (GLFWwindow *window)
| Returns the `EGLSurface` of the specified window. More...

## Detailed Description

By using the native API, you assert that you know what you're doing and how to fix problems caused by using it. If you don't, you shouldn't be using it.

Before the inclusion of glfw3native.h, you must define exactly one window API macro and exactly one context API macro. Failure to do this will cause a compile-time error.

The available window API macros are:

- `GLFW_EXPOSE_NATIVE_WIN32`
- `GLFW_EXPOSE_NATIVE_COCOA`
- `GLFW_EXPOSE_NATIVE_X11`

The available context API macros are:

- `GLFW_EXPOSE_NATIVE_WGL`
- `GLFW_EXPOSE_NATIVE_NSGL`
- `GLFW_EXPOSE_NATIVE_GLX`
- `GLFW_EXPOSE_NATIVE_EGL`

These macros select which of the native access functions that are declared and which platform-specific headers to include. It is then up your (by definition platform-specific) code to handle which of these should be defined.

## Function Documentation

id glfwGetCocoaWindow | ( | GLFWwindow * | window | ) |

Returns
  The `NSWindow` of the specified window.

EGLContext glfwGetEGLContext | ( | GLFWwindow * | window | ) |

Returns
  The `EGLContext` of the specified window.

EGLDisplay glfwGetEGLDisplay | ( | void |  | ) |

Returns
  The `EGLDisplay` used by GLFW.

EGLSurface glfwGetEGLSurface | ( | GLFWwindow * | window | ) |

Returns
  The `EGLSurface` of the specified window.

GLXContext glfwGetGLXContext | ( | GLFWwindow * | window | ) |

Returns
  The `GLXContext` of the specified window.

id glfwGetNSGLContext | ( | GLFWwindow * | window | ) |

Returns
  The `NSOpenGLContext` of the specified window.

HGLRC glfwGetWGLContext | ( | GLFWwindow * | window | ) |

Returns
  The `HGLRC` of the specified window.

HWND glfwGetWin32Window | ( | GLFWwindow * | window | ) |

Returns
  The `HWND` of the specified window.

Display* glfwGetX11Display | ( | void |  | ) |

Returns
  The `Display` used by GLFW.

Window glfwGetX11Window | ( | GLFWwindow * | window | ) |

Returns
  The `Window` of the specified window.